#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Fish_SeniorItemDropCFGData
{
	//编号
	int mID;
	//道具ID
	int mItemId;
	//权重
	int mWeight;
	//炮倍
	std::vector<int> mTurret;
	//掉落数量
	std::vector<int> mDropCount;
};

class Fish_SeniorItemDropCFG
{
public:
private:
	static std::auto_ptr<Fish_SeniorItemDropCFG> msSingleton;
public:
	int GetCount();
	const Fish_SeniorItemDropCFGData* GetData(int ID);
	boost::unordered_map<int, Fish_SeniorItemDropCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Fish_SeniorItemDropCFG* GetSingleton();
private:
	boost::unordered_map<int, Fish_SeniorItemDropCFGData> mMapData;
};
